*** Create subsample data ***

use "P:\2019\66\Use\louise8516", clear
keep if foreignb==0
save "P:\2019\66\Subsamples\Exclforeign\dta\data_long", replace

use "P:\2019\66\Use\louise8516", clear
keep if foreignb==1
save "P:\2019\66\Subsamples\Foreignborns\dta\data_long", replace

use "P:\2019\66\Use\louise8516", clear
keep if public==1
save "P:\2019\66\Subsamples\Public\dta\data_long", replace

use "P:\2019\66\Use\louise8516", clear
keep if public==0
save "P:\2019\66\Subsamples\Private\dta\data_long", replace

use "P:\2019\66\Use\louise8516", clear
keep if selfinc>0 & labinc==0
save "P:\2019\66\Subsamples\Selfemployed\dta\data_long", replace

use "P:\2019\66\Use\louise8516", clear
* Re-group country groups *
gen cgroup2=1 if countrygrp==2
replace cgroup2=2 if countrygrp==4
replace cgroup2=3 if countrygrp==5 | countrygrp==6
replace cgroup2=4 if countrygrp==7
replace cgroup2=5 if countrygrp==3 | countrygrp==8 | countrygrp==99
keep if foreignb==1 & (cgroup2==1 | cgroup2==2 | cgroup2==5)
save "P:\2019\66\Subsamples\Fbwest\dta\data_long", replace

use "P:\2019\66\Use\louise8516", clear
* Re-group country groups *
gen cgroup2=1 if countrygrp==2
replace cgroup2=2 if countrygrp==4
replace cgroup2=3 if countrygrp==5 | countrygrp==6
replace cgroup2=4 if countrygrp==7
replace cgroup2=5 if countrygrp==3 | countrygrp==8 | countrygrp==99
keep if foreignb==1 & (cgroup2==3 | cgroup2==4)
save "P:\2019\66\Subsamples\Fbnonwest\dta\data_long", replace