*** GIDD Master Do File ***

global maindir ="xxxxx\Replication Codes"

* Clean data *
do "$maindir\do\Clean data.do"

* Create descriptive figures *
do "$maindir\do\Descriptives for paper final.do"

* Create subsample data *
do "$maindir\do\Create subsamples.do"
do "$maindir\do\Create insample indicator.do"
do "$maindir\do\Descriptives subsamples.do"

*********************************
******** ANALYSIS ***************
*********************************

* Run main analysis *
do "$maindir\Main analysis\do\Master do file.do"

*** Earnings and Wages ***

* Wage our sample *
do "$maindir\Country analysis\Wage\do\Master do file.do"

* Earnings wage sample *
do "$maindir\Country analysis\Earningswagesample\do\Master do file.do"

*** Benefits and Disposable Income ***

* Disposable income our sample *
do "$maindir\Country analysis\Dispincomeindoursample\do\Master do file.do"

* Work-related income our sample *
do "$maindir\Country analysis\Workrelbenoursample\do\Master do file.do"

*** Natives ***

* Earnings *
do "$maindir\Country analysis\Exclforeign\do\Master do file.do"

* Disposable income *
do "$maindir\Country analysis\Dispincnat\do\Master do file.do"

* Work-related income *
do "$maindir\Country analysis\Workrelnat\do\Master do file.do"

*** Foreign-Born ***

* Earnings *
do "$maindir\Country analysis\Foreignborns\do\Master do file.do"

* Disposable income *
do "$maindir\Country analysis\Dispincfb\do\Master do file.do"

* Work-related income *
do "$maindir\Country analysis\Workrelfb\do\Master do file.do"


*** Foreign-Born, Europe and Americas ***

* Earnings *
do "$maindir\Country analysis\Fbwest\do\Master do file.do"

* Disposable income *
do "$maindir\Country analysis\Dispincfbwest\do\Master do file.do"

* Work-related income *
do "$maindir\Country analysis\Workrelfbwest\do\Master do file.do"


*** Foreign-Born, Africa, Asia, Middle East ***

* Earnings *
do "$maindir\Country analysis\Fbnonwest\do\Master do file.do"

* Disposable income *
do "$maindir\Country analysis\Dispincfbnonwest\do\Master do file.do"

* Work-related income *
do "$maindir\Country analysis\Workrelfbnonwest\do\Master do file.do"

*********************************
******** FIGURES  ***************
*********************************

do "$maindir\do\7_Paper_Figs_main_final.do"
do "$maindir\do\7_Paper_Figs_migration_final.do"
do "$maindir\do\7_Paper_Figs_insurance_final.do"


